window.SIDEBAR_ITEMS = {"enum":[["Which","Specifies a lane index into one of two SIMD vectors."]],"macro":[["simd_swizzle","Constructs a new SIMD vector by copying elements from selected lanes in other vectors."]],"struct":[["LaneCount","Specifies the number of lanes in a SIMD vector as a type."],["Mask","A SIMD vector mask for `LANES` elements of width specified by `Element`."],["Simd","A SIMD vector of `LANES` elements of type `T`. `Simd<T, N>` has the same shape as `[T; N]`, but operates like `T`."]],"trait":[["MaskElement","Marker trait for types that may be used as SIMD mask elements."],["SimdElement","Marker trait for types that may be used as SIMD vector elements."],["SimdFloat","Operations on SIMD vectors of floats."],["SimdInt","Operations on SIMD vectors of signed integers."],["SimdOrd","Parallel `Ord`."],["SimdPartialEq","Parallel `PartialEq`."],["SimdPartialOrd","Parallel `PartialOrd`."],["SimdUint","Operations on SIMD vectors of unsigned integers."],["StdFloat","This trait provides a possibly-temporary implementation of float functions that may, in the absence of hardware support, canonicalize to calling an operating system’s `math.h` dynamically-loaded library (also known as a shared object). As these conditionally require runtime support, they should only appear in binaries built assuming OS support: `std`."],["SupportedLaneCount","Statically guarantees that a lane count is marked as supported."],["Swizzle","Create a vector from the elements of another vector."],["Swizzle2","Create a vector from the elements of two other vectors."],["ToBitMask","Converts masks to and from integer bitmasks."]],"type":[["f32x16","A 512-bit SIMD vector with 16 elements of type `f32`."],["f32x2","A 64-bit SIMD vector with two elements of type `f32`."],["f32x4","A 128-bit SIMD vector with four elements of type `f32`."],["f32x8","A 256-bit SIMD vector with eight elements of type `f32`."],["f64x2","A 128-bit SIMD vector with two elements of type `f64`."],["f64x4","A 256-bit SIMD vector with four elements of type `f64`."],["f64x8","A 512-bit SIMD vector with eight elements of type `f64`."],["i16x16","A 256-bit SIMD vector with 16 elements of type `i16`."],["i16x2","A 32-bit SIMD vector with two elements of type `i16`."],["i16x32","A 512-bit SIMD vector with 32 elements of type `i16`."],["i16x4","A 64-bit SIMD vector with four elements of type `i16`."],["i16x8","A 128-bit SIMD vector with eight elements of type `i16`."],["i32x16","A 512-bit SIMD vector with 16 elements of type `i32`."],["i32x2","A 64-bit SIMD vector with two elements of type `i32`."],["i32x4","A 128-bit SIMD vector with four elements of type `i32`."],["i32x8","A 256-bit SIMD vector with eight elements of type `i32`."],["i64x2","A 128-bit SIMD vector with two elements of type `i64`."],["i64x4","A 256-bit SIMD vector with four elements of type `i64`."],["i64x8","A 512-bit SIMD vector with eight elements of type `i64`."],["i8x16","A 128-bit SIMD vector with 16 elements of type `i8`."],["i8x32","A 256-bit SIMD vector with 32 elements of type `i8`."],["i8x4","A 32-bit SIMD vector with four elements of type `i8`."],["i8x64","A 512-bit SIMD vector with 64 elements of type `i8`."],["i8x8","A 64-bit SIMD vector with eight elements of type `i8`."],["isizex2","A SIMD vector with two elements of type `isize`."],["isizex4","A SIMD vector with four elements of type `isize`."],["isizex8","A SIMD vector with eight elements of type `isize`."],["mask16x16","A mask for SIMD vectors with 16 elements of 16 bits."],["mask16x32","A mask for SIMD vectors with 32 elements of 16 bits."],["mask16x4","A mask for SIMD vectors with four elements of 16 bits."],["mask16x8","A mask for SIMD vectors with eight elements of 16 bits."],["mask32x16","A mask for SIMD vectors with 16 elements of 32 bits."],["mask32x2","A mask for SIMD vectors with two elements of 32 bits."],["mask32x4","A mask for SIMD vectors with four elements of 32 bits."],["mask32x8","A mask for SIMD vectors with eight elements of 32 bits."],["mask64x2","A mask for SIMD vectors with two elements of 64 bits."],["mask64x4","A mask for SIMD vectors with four elements of 64 bits."],["mask64x8","A mask for SIMD vectors with eight elements of 64 bits."],["mask8x16","A mask for SIMD vectors with 16 elements of 8 bits."],["mask8x32","A mask for SIMD vectors with 32 elements of 8 bits."],["mask8x64","A mask for SIMD vectors with 64 elements of 8 bits."],["mask8x8","A mask for SIMD vectors with eight elements of 8 bits."],["masksizex2","A mask for SIMD vectors with two elements of pointer width."],["masksizex4","A mask for SIMD vectors with four elements of pointer width."],["masksizex8","A mask for SIMD vectors with eight elements of pointer width."],["u16x16","A 256-bit SIMD vector with 16 elements of type `u16`."],["u16x2","A 32-bit SIMD vector with two elements of type `u16`."],["u16x32","A 512-bit SIMD vector with 32 elements of type `u16`."],["u16x4","A 64-bit SIMD vector with four elements of type `u16`."],["u16x8","A 128-bit SIMD vector with eight elements of type `u16`."],["u32x16","A 512-bit SIMD vector with 16 elements of type `u32`."],["u32x2","A 64-bit SIMD vector with two elements of type `u32`."],["u32x4","A 128-bit SIMD vector with four elements of type `u32`."],["u32x8","A 256-bit SIMD vector with eight elements of type `u32`."],["u64x2","A 128-bit SIMD vector with two elements of type `u64`."],["u64x4","A 256-bit SIMD vector with four elements of type `u64`."],["u64x8","A 512-bit SIMD vector with eight elements of type `u64`."],["u8x16","A 128-bit SIMD vector with 16 elements of type `u8`."],["u8x32","A 256-bit SIMD vector with 32 elements of type `u8`."],["u8x4","A 32-bit SIMD vector with four elements of type `u8`."],["u8x64","A 512-bit SIMD vector with 64 elements of type `u8`."],["u8x8","A 64-bit SIMD vector with eight elements of type `u8`."],["usizex2","A SIMD vector with two elements of type `usize`."],["usizex4","A SIMD vector with four elements of type `usize`."],["usizex8","A SIMD vector with eight elements of type `usize`."]]};